<?php

namespace App\Http\Controllers;

use App\Models\AuctionItem;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class AuctionItemController extends Controller
{
    public function __construct( )
    {
        $this->middleware('auth'); 
    } 
    public function index()
    {
        $fin=AuctionItem::all(); 
        return view('admin/auction-item/index',compact('fin'));
    }
   
    public function store(Request $request)
    {   
        $this->validate($request,[  
            'item'=>'required|max:60|min:3',
            'description'=>'required', 
        ]); 
        try{
            DB::beginTransaction();
            $data=$request->all(); 
            $class =  AuctionItem::create($data);  
            DB::commit(); 
            return response()->json(['status' => true,  'msg' => "Auction Item has been Created"]);
        }catch (\Exception $e){
            DB::rollback();
            return response()->json(['status' => false, 'success' =>false, 'msg' => $e->getMessage()]);
        } 
    }
 
    public function show($id)
    { 
        $item = AuctionItem::find(decrypt($id)); 
        return response()->json(['status' => false, 'success' => false, 'item' => $item]);
    }  
 

    public function edit($id)
    {
        $fin = AuctionItem::find(decrypt($id));
        
        return view('admin/auction-item/edit', compact('fin')); 
    }

     
    public function update(Request $request, $id)
    {  
        
         $data =$this->validate($request, [
            'item'=>'required|max:60|min:3',
            'description'=>'required', 
        ]);
        try {
            DB::beginTransaction();
            $id = decrypt($id);
            
            $del = AuctionItem::find($id);
             
            $del->update($data);
            DB::commit();  
            return redirect('auction-item')->with('success', "auction-item information updated succesfully."); 
        } catch (\Throwable $th) {
            DB::rollBack();
            dd($th->getMessage());
        }
    }
 
    public function destroy($id)
    { 
        try{
            DB::beginTransaction();
            $id = decrypt($id);
            $item=AuctionItem::find($id);
            $item->delete();
            DB::commit();
            return response()->json(['status' => true, 'success' =>true, 'msg' => 'Auction Item has been deleted']);
        }catch (\Exception $e){
            DB::rollback();
            return response()->json(['status' => false, 'success' =>false, 'msg' => $e->getMessage()]);
        } 
    } 
}
