<?php

namespace App\Http\Controllers\Company;

use App\Http\Controllers\Controller;
use App\Models\AuctionCompany;
use App\Models\EAuction;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class EAuctionController extends Controller
{
    private $company_id;
    public function __construct( )
    {
        $this->middleware('auth'); 
    } 
    public function index()
    {
        $company_id = Auth::user()->id;
        $companies_auctions = AuctionCompany::where('company_id', $company_id)->latest()->get(); 
         
        return view('company/e-auction/index', compact('companies_auctions'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create($id)
    {
        try {
            
            $company_id = Auth::user()->id;
            $id = decrypt($id);
            

            $auction_company = AuctionCompany::where('company_id', $company_id)->where('e_auction_id', $id)->get()->count(); 
             
            if($auction_company > 0 ){
                $auction_company = AuctionCompany::where('company_id', $company_id)->where('e_auction_id', $id)->first();
                return redirect('company/e-auction/'.encrypt($auction_company->id))->with('success', 'You have already applied for this auction form.');
            }

                     
            $e_auction = EAuction::findOrFail($id);
            $auction_items = $e_auction->getEAuctionItems;


            return view('company/e-auction/create', compact('e_auction', 'auction_items'));

             
        } catch (\Throwable $th) {
            dd($th->getMessage());
        }

        
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
