<?php

namespace App\Models;

use App\Traits\Multitenantable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class AuctionCompany extends Model
{
    use Multitenantable, SoftDeletes;
    protected $fillable = [ 
        'company_id',
        'e_auction_id',  
    ];

    public function getAuctionDetail()
    {
        return $this->belongsTo('App\Models\EAuction', 'e_auction_id');
    }
    public function getAuctionRates()
    {
        return $this->hasMany('App\Models\CompanyAuctionRate', 'auction_company_id');
    }
    public function company_detail()
    {
        return $this->belongsTo('App\User', 'company_id');
    }

    

}
