<?php

namespace App\Models;

use App\Traits\Multitenantable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class EAuction extends Model
{
    use Multitenantable, SoftDeletes;
    protected $fillable = [
        'start_date',
        'end_date',
        'tender_no',
        'tender_status', //1 for active, 2 for closed, 3 for opened
        'title',
        'opening_date',
        'opening_time',
        'comments',  
        'percentage',  
    ]; 

    public function getEAuctionItems()
    {
        return $this->hasMany('App\Models\AuctionDetail', 'e_auction_id' );
    }
    public function companies()
    {
        return $this->hasMany( AuctionCompany::class );
    }
     


}
