<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('user_name')->unique();
            $table->string('email')->nullable()->unique();
            $table->string('phone_no');
            $table->string('address');
            
            $table->string('gst_no')->nullable();
            $table->string('ntn_no')->nullable();
            $table->string('owner_name')->nullable();
            $table->string('cnic_no')->nullable();

            $table->string('image')->nullable();
            $table->string('bank')->nullable();
            $table->string('kntn')->nullable();
            $table->string('password');
            $table->timestamp('email_verified_at')->nullable(); 
            $table->string('is_active')->default(true);

            $table->rememberToken();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
