<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEAuctionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('e_auctions', function (Blueprint $table) {
            $table->id(); 
            $table->string('tender_no')->nullable();
            $table->dateTime('start_date');
            $table->dateTime('end_date');
            $table->string('title')->nullable();
            $table->integer('percentage')->nullable();

            $table->boolean('tender_status')->default(1)->comment('1 for actvie, 2 for close, 3 for open'); //1 for actvie, 2 for closed, 3 for opened
            $table->date('opening_date')->nullable();// 
            $table->time('opening_time')->nullable();// 
            $table->longText('comments')->nullable();// 
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
              
            $table->softDeletes(); 
            $table->timestamps();

            $table->foreign('created_by')->references('id')->on('users')->onDelete('cascade');
            $table->foreign('updated_by')->references('id')->on('users')->onDelete('cascade'); 
      
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('e_auctions');
    }
}
