<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAuctionCompaniesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('auction_companies', function (Blueprint $table) {
            $table->id();
            
            $table->unsignedBigInteger('company_id');
            $table->unsignedBigInteger('e_auction_id');
            
            
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();

            $table->timestamps();
            $table->softDeletes();

            $table->foreign('e_auction_id')->references('id')->on('e_auctions')->onDelete('cascade');
            $table->foreign('company_id')->references('id')->on('users')->onDelete('cascade'); 
            $table->foreign('created_by')->references('id')->on('users')->onDelete('cascade'); 
            $table->foreign('updated_by')->references('id')->on('users')->onDelete('cascade'); 
      
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('auction_companies');
    }
}
