<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCompanyAuctionRatesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('company_auction_rates', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('auction_detail_id');
            $table->unsignedBigInteger('auction_company_id');
            $table->longText('rate')->nullable(); 
            $table->timestamps();

            $table->foreign('auction_detail_id')->references('id')->on('auction_details')->onDelete('cascade');
            $table->foreign('auction_company_id')->references('id')->on('auction_companies')->onDelete('cascade');
            
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('company_auction_rates');
    }
}
