<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCompanyIdToTenderCompanyAuctionRates extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('company_auction_rates', function (Blueprint $table) { 
            $table->unsignedBigInteger('company_id')->after('auction_company_id')->nullable(); 
            $table->foreign('company_id')->references('id')->on('users')->onDelete('cascade');  
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('company_auction_rates', function (Blueprint $table) {
            $table->dropColumn(['company_id']);
        });
    }
}
