@extends('layouts.theme')
@section('title','Create E-Auction')
@section('style')
    <link href="{{url('libs/select2/css/select2.min.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{url('libs/bootstrap-datepicker/css/bootstrap-datepicker.min.css')}}"  rel="stylesheet" type="text/css" />
    <link href="{{url('libs/datetimepicker/css/bootstrap-datetimepicker.min.css')}}"  rel="stylesheet" type="text/css" />
 
    @endsection
@section('content')
<style>
    table thead th{
        font-weight: 700 !important;
        color: #000000;
    }
    .container {
        background: #ffffff;
        padding: 70px 30px 79px;
    }
      .w-70{
        width: 70%;
    }
    table tr td, h3, h5{ 
        color: #000000;
    }
    h5{
        color: #000000;
        font-weight: 700;
    } 
    .auction-table td:nth-child(2)  {
        vertical-align: middle;
    }
    .auction-table tr th:first-child  {
       width: 7%;
    }
    table th strong {
        font-weight: 800;
    }
</style>
<div class="page-content">
    <div class="container-fluid user-registrition">
        <div class="row">
            <div class="col-md-12 col-xl-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Create Auction Form</h5>
                        @include('alertsInfo')
                        <!-- Nav tabs -->
                        <form action="{{url('e-auction')}}" method="POST" class="custom-validation">
                            @csrf 
                            <?php 
                            $columns = array(
                                            'title', 
                                            'start_date',
                                            'end_date',
                                            'opening_date',
                                            'opening_time');
                            ?>
                            <div class="row">
                                 
                                @foreach ($columns as $column)
                                <?php $count = $loop->iteration; ?>
                                   <div class="col-md-4 col-lg-4 col-sm-6">
                                       <div class="form-group ">
                                           <label class="control-label text-capitalize ">{{ str_replace('_', ' ', $column)  }} 
                                           
                                        </label>
                                           <input class="form-control {{$column =="start_date" || $column =="end_date" || $column =="opening_date"  ? "date":""}}
                                           {{$column =="opening_time"  ? "time":""}}"

                                           name="Auction[{{ $column }}]"  required autocomplete="off" 
                                           placeholder="{{ str_replace('_', ' ', $column)  }}"  
                                           value="{{old($column)}}">
                                           
                                        
                                           @if ($errors->has($column))
                                           <div class="invalid-feedback"  style="display: block">{{ $errors->first($column) }}</div>
                                           @endif 


                                          
                                       </div>
                                   </div>
                                @endforeach 
                                <div class="col-md-12">
                                    <hr>
                                </div>
                            </div>
                            @include('admin/e-auction/items')   
                            <div>
                                <input type="submit" class="btn btn-success" value="Create Auction">
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@section('script')
<script src="{{url('libs/moment/min/moment.min.js')}}"></script>

    <script src="{{url('libs/bootstrap-datepicker/js/bootstrap-datepicker.min.js')}}"></script>
    <script src="{{url('libs/datetimepicker/js/bootstrap-datetimepicker.min.js')}}"></script> 

    <script src="{{url("libs/parsleyjs/parsley.min.js")}}"></script> 
    <script src="{{url('js/pages/form-validation.init.js')}}"></script>
    <script>
        $('.date').datepicker({
            autoclose: true,
			todayHighlight: true, 
            format: 'yyyy-mm-dd'
        });
        $('.time').datetimepicker({ 
            format: 'HH:mm', 
        });


    </script>
@endsection