@extends('layouts.theme')
@section('title','E-Auction List')
@section('style')
    <!-- DataTables -->
    <link href="{{url('libs/datatables.net-bs4/css/dataTables.bootstrap4.min.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{url('libs/datatables.net-buttons-bs4/css/buttons.bootstrap4.min.css')}}" rel="stylesheet" type="text/css" />
    <!-- Responsive datatable examples -->
    <link href="{{url('libs/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css')}}" rel="stylesheet" type="text/css" />

    <link href="{{url('libs/sweetalert2/sweetalert2.min.css')}}" rel="stylesheet">
    
    <link href="{{url('libs/bootstrap-datepicker/css/bootstrap-datepicker.min.css')}}" rel="stylesheet">
    <link href="{{url('libs/datetimepicker/css/bootstrap-datetimepicker.min.css')}}"  rel="stylesheet" type="text/css" />
@endsection
@section('content')
    <style>
        .datepicker, .bootstrap-datetimepicker-widget{
            z-index: 99999 !important; 
        } 
    </style>
    <div class="page-content">
        <div class="container-fluid">
            <!-- start page title -->
            <div class="loading_div"  id="loading" style="display: none">
                <div class="spinner-grow text-secondary  loading" role="status" ></div>
            </div>
            <div class="card  w-100">
                <div class="card-body">
                    @include('alertsInfo')
                    <div class="row">
                        <div class="col-md-12"> 
                                    <div class="row d-flex">
                                        <div class="col-lg-6  "> 
                                            <h5 class="card-title">E-Auction List</h5>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="float-right d-print-none"> 
                                                    <a class="btn btn-primary" href="{{url('e-auction/create')}}">
                                                        Create Auction Form</a> 
                                            </div>
                                        </div>
                                    </div>
                                    <br>

                                    <div class="table-responsive">
                                        <table id="datatable-buttons" class="table table-striped table-bordered w-100 user_table">
                                            <thead>
                                            <tr>
                                                <th>Sr. #</th>
                                                <th>Auction No</th>
                                                <th>Title</th>
                                                <th>Start Date</th>
                                                <th>End Date</th> 
                                                <th>Status</th> 
                                                   
                                                <th> Print</th>
                                                   
                                                <th> Action </th>
                                            </tr>
                                            </thead>
                                            <?php $count=1;?>
                                            @foreach ($tenders as $value)
                                            
                                                    <tr class="gradeX">
                                                        <td>
                                                            {{$count++}}
                                                        </td>
                                                        <td class="text-capitalize"> {{$value->tender_no}}</td>
                                                        <td class="text-capitalize"> {{$value->title}}</td>
                                                        <td> {{date('Y-m-d', strtotime($value->start_date))}}</td> 
                                                        <td> {{date('Y-m-d', strtotime($value->end_date))}}</td> 
                                                        <td>
                                                            @if ( $value->tender_status == 1)
                                                                    Active
                                                                @elseif ($value->tender_status == 2)
                                                                    Closed
                                                                @elseif ($value->tender_status == 3)
                                                                 Opened
                                                            @endif 
                                                        </td>
                                                        
                                                        <td>  
                                                            <a  class="btn btn-sm btn-primary" target="_blank"
                                                            href="{{url('print/e-auction/'.encrypt($value->id))}}"> 
                                                                <span class="fas fa-print"></span> Print</a> 
                                                        </td>
 
                                                            <td>
                                                                {{-- <a   href="{{url('e-auction/'.encrypt($value->id))}}" >
                                                                    View Detail
                                                                </a>   --}}
                                                                    @if ( $value->tender_status == 1 ) 
                                                                            <a class="  close-tender" data-status="2" data-id="{{encrypt($value->id)}}" href="javascript:;">
                                                                                Close Auction
                                                                            </a>
                                                                        @elseif ( $value->tender_status == 2 ) 
                                                                            <a class="open-tender" data-status="3" data-id="{{encrypt($value->id)}}" href="javascript:;">
                                                                                Open Auction
                                                                            </a>
                                                                        @elseif ( $value->tender_status == 3 ) 
                                                                            <a   href="{{url('e-auction/'.encrypt($value->id))}}" >
                                                                                View Detail
                                                                            </a> 
                                                                    @endif 
                                                            
                                                            </td>
                                                       
                                                    </tr>
                                            @endforeach

                                        </table>
                                    </div>
                                {{-- </div> --}}
                            {{-- </div> --}}
                        </div> <!-- end col -->
                    </div> <!-- end row -->



                </div>
            </div>
             
            
        </div>
    </div>
    @include('admin/e-auction/open-modal')
@endsection
@section('script')
    <!-- Required datatable js -->
    <script src="{{url('libs/datatables.net/js/jquery.dataTables.min.js')}}"></script>
    <script src="{{url('libs/datatables.net-bs4/js/dataTables.bootstrap4.min.js')}}"></script>
    <!-- Buttons examples -->
    <script src="{{url('libs/datatables.net-buttons/js/dataTables.buttons.min.js')}}"></script>
    <script src="{{url('libs/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js')}}"></script>
    <script src="{{url('libs/jszip/jszip.min.js')}}"></script>
    <script src="{{url('libs/pdfmake/build/pdfmake.min.js')}}"></script>
    <script src="{{url('libs/pdfmake/build/vfs_fonts.js')}}"></script>
    <script src="{{url('libs/datatables.net-buttons/js/buttons.html5.min.js')}}"></script>
    <script src="{{url('libs/datatables.net-buttons/js/buttons.print.min.js')}}"></script>
    <script src="{{url('libs/datatables.net-buttons/js/buttons.colVis.min.js')}}"></script>
    <!-- Responsive examples -->
    <script src="{{url('libs/datatables.net-responsive/js/dataTables.responsive.min.js')}}"></script>
    <script src="{{url('libs/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js')}}"></script>

    <!-- Datatable init js -->
    <script src="{{url('js/pages/datatables.init.js')}}"></script>

    <script src="{{url('libs/sweetalert2/sweetalert2.min.js')}}"></script> 
    
    <script src="{{url('libs/moment/min/moment.min.js')}}"></script>
    <script src="{{url('libs/bootstrap-datepicker/js/bootstrap-datepicker.min.js')}}"></script>
    <script src="{{url('libs/datetimepicker/js/bootstrap-datetimepicker.min.js')}}"></script> 
    <script src="{{url('js/custom/auction.js')}}"></script>
 
@endsection

