@extends('layouts.theme')
@section('title','Class')
 
@section('content')
 
<div class="page-content">
    <div class="container-fluid">
        <!-- start page title -->
         <div class="card  w-100">
            <div class="loading" id="loading" style="display: none"></div>
             <div class="card-body ">
                 @include('alertsInfo')
                 <div class="row d-flex mb-3">
                    <div class="col-lg-6  ">
                        <h3>E-Auction Form </h3>
                    </div> 
                </div>
                <hr>
                <form   class="custom-validation" id="create_form" action="{{ url('apply/e-auction') }}" enctype="multipart/form-data" method="post"  >
                    @csrf
                        
                        @include('company/e-auction/items')
                        <div>
                            <button type="button" class="btn btn-light submit ">Submit </button>
                           
                        </div>
                    </form>

                </div>
             </div> 
             
    </div>
</div> 
<div class="modal fade" id="dialogbox" tabindex="-1" role="dialog"  aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                {{-- <h5 class="modal-title" id="duplicateBeneficiaryTitle">Matching Records</h5> --}}
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                @include('company/e-auction/modal-items')
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary ignore-all ">Submit</button>
            </div>
        </div>
    </div>
</div>
@endsection

@section('script')
<script src="{{ url('libs/sweetalert2/sweetalert2.min.js') }}"></script>

<script>
    $(document).on('click', '.submit', function (e) {
        e.preventDefault();
        var item = $('#item').val();
        
        var rate = $('#rate').val(); 
        $('#dialogbox').modal('toggle');
        formRate();
        $(document).on('keyup', '.formRate', function (e) { 
        formRate();
});
        function formRate()
        {
            var sum = 0;

         $('.formRate').each(function () {
            //var value = $(this).val() ;
            sum++;

            var form_input_id = $(this).val();
            $("#dialog_"+sum).val(form_input_id);
            console.log("#dialog_"+sum);
              });
        }
    });
    $(document).on('click', '.ignore-all', function (e) {
        Swal.fire({
            title: 'Confirm',
            text: " Do you still want to add this auction?",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes, Ignore it!'
            }).then((result) => {
            if (result.value){ 
                $("#create_form").submit();
            }
        })
    })
    </script>
 
@endsection