@extends('layouts.theme')
@section('title','E-Auction Detail')
@section('style')
<link href="{{url('libs/sweetalert2/sweetalert2.min.css')}}" rel="stylesheet"> 
@endsection
@section('content')
<style>
    table thead th{
        font-weight: 700 !important;
        color: #000000;
    }
    .container {
        background: #ffffff;
        padding: 70px 30px 79px;
    }
    
    table tr td, h3, h5{ 
        color: #000000;
    }
    h5{
        color: #000000;
        font-weight: 700;
    } 
    .auction-table td:nth-child(2)  {
        vertical-align: middle;
    }
    .w-70{
        width: 70%;
    }
    .w-7{
        width: 7%;
    }
    .w-12 {
        width: 12%;
    }
    table th strong {
        font-weight: 800;
    }
    table th:last-child{
        text-align: center;
    }
    table tr td:last-child{
        text-align: center;
    }
</style>
<div class="page-content">
    <div class="container-fluid user-registrition">
        <div class="loading_div"  id="loading" style="display: none">
            <div class="spinner-grow text-secondary  loading" role="status" ></div>
        </div>
        <div class="row">
            <div class="col-md-12 col-xl-12">
                <div class="card">
                    <div class="card-body">
                        @include('alertsInfo')
                        <div class="row">
                            <div class="col-md-2">
                                <h5 class="card-title">E-Auction Detail</h5>
                            </div>
                            <div class="col-md-4" style="margin: 0 0 0 auto;">
                               <div class="row">
                                    <div class="col-md-6 ml-auto text-right"> 
                                            <a target="_blank" class="btn btn-sm btn-primary" 
                                            href="{{url('company/e-auction/print/'.encrypt($auction_company->id))}}"> 
                                            <span class="fas fa-print"></span> Print </a>
                                    </div>
                                    @if ( $e_auction->tender_status == 1 )
                                    <div class="col-md-6 ml-auto text-right"> 
                                            {{-- <a id="edit_technical_tender" class="btn btn-sm btn-warning" href="{{url('company/e-auction/edit/'.encrypt($auction_company->id))}}"> <span class="fas fa-edit"></span> Edit Form</a> --}}
                                    </div>
                                    @endif
                                 </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <hr>
                        </div>
                        <div class="col-md-12">
                            <?php
                                        $columns = array(  
                                                    'title',
                                                    'tender_no', 
                                                    'start_date',
                                                    'end_date', 
                                                    );
                                        ?>
                                        <div class="row">
                                            @foreach ($columns as $column)
                                            <div class="col-md-6 col-xl-3  col-lg-3">
                                                <div class="form-group ">
                                                    <label class="control-label text-capitalize">{{ $column == "tender_no"?"Auction No": str_replace('_', ' ', $column)  }}: </label>
                                                    
                                                        <span class="text-capitalize">
                                                        @if ($column== 'start_date' || $column== 'end_date')
                                                    {{ date('Y-m-d', strtotime ($e_auction->$column)) }} 
                                                            @else 
                                                            {{str_replace('_', ' ',  $e_auction->$column) }} 
                                                        @endif
                                                        
                                                        </span>
                                                    
                                                </div>
                                            </div>
                                            @endforeach
                                        </div>
                            @include('company/e-auction/common-auction')
                        </div>
 
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('script')
<script src="{{url('libs/sweetalert2/sweetalert2.min.js')}}"></script>
<script>
      $('.download').click(function () {
            var uid = $(this).data('id'); 
            var tender_id = $(this).data('tender_id');
            var company_id = $(this).data('company_id');
            var type = $(this).data('type');
            var this_element = $(this);
           

            Swal.fire({
                title: 'Are you sure?',
                text: "Please confirm. You wouldn't be able to edit "+ type +" form for this auction after this action.", 
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Confirm!'
            }).then((result) => {
            if (result.value)
            {
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                $.ajax({
                    method: 'POST', 
                    url: '{{url('tender/confirmDownload/')}}/'+type+'/' + uid,
                    beforeSend: function () {
                        $(this_element).prop('disabled', true);
                        $("#loading").show();
                    },
                }).done(function (response) {
                    console.log(response);
                    if(response.status){  
                       window.location = base_url+'/download/tender/'+type+'/'+company_id+'/'+tender_id;
                       var edit_element = $("#edit_"+type+"_tender");

                       setInterval( function(){
                            $(edit_element).remove();
                            $(this_element).prop('disabled', false);
                            $("#loading").hide();
                        },10000);
 
                    }else{
                        $("#loading").hide();
                        $(this_element).prop('disabled', false);
                        swal.fire("Cancelled",response.msg, "error");
                    }
                }).fail(function (response) {
                    $("#loading").hide();
                    $(this_element).prop('disabled', false);
                    swal.fire("Cancelled",response.error, "error");
                });
            }
        })
        });  
</script>
@endsection