@extends('layouts.theme')
@section("title","Home")
@section('style')
<link href="{{url('libs/sweetalert2/sweetalert2.min.css')}}" rel="stylesheet">
@endsection
@section('content')
    <div class="page-content"> 
        <div class="container-fluid">
            <div class="loading_div"  id="loading" style="display: none">
                <div class="spinner-grow text-secondary  loading" role="status" ></div>
            </div>
            <div class="row">
                <div class="col-12">
                    @include('alertsInfo')   
                </div>
            </div>
            @if (Auth::user()->hasRole('Super Admin'))
                @include('admin-dashboard')
                @include('user/profile')
                
                @elseif(Auth::user()->hasRole('Company'))
                @include('company-dashboard')
            @endif 
        </div> <!-- container-fluid --> 
    </div>
    <!-- End Page-content -->
@endsection

@section('script')
    <!--Morris Chart-->

    <script src="{{url('libs/morris.js/morris.min.js')}}"></script>
    <script src="{{url('libs/raphael/raphael.min.js')}}"></script>
    <script src="{{url('libs/jquery-knob/jquery.knob.min.js')}}"></script>
    <script src="{{url('libs/metrojs/release/MetroJs.Full/MetroJs.min.js')}}"></script>

    <script src="{{url('js/pages/dashboard.init.js')}}"></script>
    <script src="{{url('libs/sweetalert2/sweetalert2.min.js')}}"></script> 
    <script src="{{url('js/custom/auction.js')}}"></script>
    <script src="{{url('js/custom/company.js')}}"></script>
@endsection