@extends('layouts.theme')
@section('title','Edit User')
@section('style')
    <link href="{{url('libs/select2/css/select2.min.css')}}" rel="stylesheet" type="text/css" />
@endsection
@section('content')
    <div class="page-content">
        <div class="container-fluid user-registrition">
            <div class="  w-100">
                <div class="card-body user-card">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12 col-xl-12">
                                    <div class="card">
                                        <div class="card-body">

                                            <h5 class="card-title">Edit User</h5>

                                            @include('alertsInfo')
                                            <form class="custom-validation" enctype="multipart/form-data"  method="post"action="{{url('company/'.encrypt($user->id)) }}">
                                                @csrf
                                                <input type="hidden" name="_method" value="PUT">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="form-group ">
                                                            <label class="control-label">Name</label>
                                                            <input class="form-control" required placeholder="Name" name="name" type="text" value="{{empty(old('name')) ? $user->name :old('name')}}">
                                                            @if ($errors->has('name'))
                                                                <div class="invalid-feedback"  style="display: block">{{ $errors->first('name') }}</div>
                                                            @endif

                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="form-group ">
                                                            <label class="control-label">User Name</label>
                                                            <input class="form-control" required placeholder="User name" name="user_name" type="text" 
                                                            value="{{empty(old('user_name')) ? $user->user_name :old('user_name')}}">
                                                            @if ($errors->has('user_name'))
                                                                <div class="invalid-feedback"  style="display: block">{{ $errors->first('user_name') }}</div>
                                                            @endif

                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="form-group ">
                                                            <label class="control-label">E-Mail Address(optional)</label>
                                                            <input class="form-control" parsley-type="email"  placeholder="Email" name="email" type="text" value="{{empty(old('email')) ? $user->email :old('email')}}">
                                                            @if ($errors->has('email'))
                                                                <div class="invalid-feedback"  style="display: block">{{ $errors->first('email') }}</div>
                                                            @endif

                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="form-group ">
                                                            <label class="control-label">Phone/Mobile Number</label>
                                                            <input class="form-control" required placeholder="Mobile Number" name="phone_no" type="text"
                                                             value="{{empty(old('phone_no')) ? $user->phone_no :old('phone_no')}}">
                                                            @if ($errors->has('phone_no'))
                                                                <div class="invalid-feedback"  style="display: block">{{ $errors->first('phone_no') }}</div>
                                                            @endif

                                                        </div>
                                                    </div>
                                                </div>



                                                <div class="row">

                                                    <div class="col-md-6">
                                                        <div class="form-group ">
                                                            <label class="control-label">Full Address</label>
                                                            <input class="form-control"   placeholder="Address" name="address" type="text" value="{{empty(old('address')) ? $user->name :old('address')}}">
                                                            @if ($errors->has('address'))
                                                                <div class="invalid-feedback"  style="display: block">{{ $errors->first('address') }}</div>
                                                            @endif

                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <label class="control-label">Profile Image</label>
                                                        <div class="custom-file">
                                                            <input type="file" class="custom-file-input" name="file" multiple id="inputGroupFile04">
                                                            <label class="custom-file-label" for="inputGroupFile04">Choose file</label>
                                                        </div>
                                                        @if ($errors->has('file'))
                                                            <div class="invalid-feedback"  style="display: block">{{ $errors->first('file') }}</div>
                                                        @endif
                                                    </div>

                                                </div>
                                                <div class="row">

                                                    <div class="col-md-12">
                                                        <div class="form-group ">
                                                            <div>
                                                                <button type="submit" class="btn
                                                            btn-light waves-effect waves-light">
                                                                    Save
                                                                </button>

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                            </form>

                                        </div>
                                    </div>
                                </div> <!-- end col -->


                            </div> <!-- end row -->

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script src="{{url("libs/parsleyjs/parsley.min.js")}}"></script>
    <script src="{{url('libs/select2/js/select2.min.js')}}"></script>
    <script src="{{url('js/pages/form-validation.init.js')}}"></script>
    <script>
        $(".select2").select2({
            minimumResultsForSearch: -1,
            placeholder: function(){
                $(this).data('placeholder');
            }
        });
    </script>
@endsection
