@extends('layouts.theme')
@section('title','Edit Company')
@section('style')
    <link href="{{url('libs/select2/css/select2.min.css')}}" rel="stylesheet" type="text/css" />
@endsection
@section('content')
    <div class="page-content">
        <div class="container-fluid user-registrition">
            <div class="  w-100">
                <div class="card-body user-card">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12 col-xl-12">
                                    <div class="card">
                                        <div class="card-body">

                                            <h5 class="card-title">Edit Company</h5>

                                            @include('alertsInfo')
                                            <?php 
                                            $columns = array(
                                                               'name', 
                                                               'user_name',
                                                               'email',
                                                               'phone_no',
                                                               'address',
                                                               'gst_no',
                                                               'ntn_no',
                                                               'owner_name',
                                                               'cnic_no',
                                                           );
                                            ?>
                                            <form class="custom-validation"  method="post" action="{{url('company/'.encrypt($user->id)) }}">
                                                @csrf
                                                <input type="hidden" name="_method" value="PUT"> 
                                                <div class="row">
                                                    @foreach ($columns as $column)
                                                        <div class="col-md-6">
                                                            <div class="form-group ">
                                                                <label class="control-label text-capitalize">{{ str_replace('_', ' ', $column)  }}</label>
                                                                <input class="form-control" required 
                                                                placeholder="{{ str_replace('_', ' ', $column)  }}" name="{{ $column }}" type="text" value="{{ $user->$column }}">
                                                                @if ($errors->has($column))
                                                                <div class="invalid-feedback"  style="display: block">{{ $errors->first($column) }}</div>
                                                                @endif 
                                                            </div>
                                                        </div>
                                                    @endforeach
                                                    <div class="col-md-12">
                                                        <div class="form-group text-right ">
                                                            <a href="{{url('company')}}" class="btn btn-danger">Cancel</a>
                                                                <button type="submit" class="btn
                                                            btn-light waves-effect waves-light">
                                                                    Save
                                                                </button>
                                                        </div>
                                                    </div>
                                                </div>

                                            </form>

                                        </div>
                                    </div>
                                </div> <!-- end col -->


                            </div> <!-- end row -->

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script src="{{url("libs/parsleyjs/parsley.min.js")}}"></script>
    <script src="{{url('libs/select2/js/select2.min.js')}}"></script>
    <script src="{{url('js/pages/form-validation.init.js')}}"></script>
    <script>
        $(".select2").select2({
            minimumResultsForSearch: -1,
            placeholder: function(){
                $(this).data('placeholder');
            }
        });
    </script>
@endsection
