<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/ 
Route::get('php_artisan_migrate','CommController@index'); 
Auth::routes();
Route::get('register/company','UserController@createCompany');
Route::post('register/company','UserController@storeCompany');
Route::get('/', 'HomeController@home')->name('/');
// Route::get('/', function () {
    
// });

Route::group([ 'middleware' => ['role:Super Admin|Company']], function () {
    Route::resource('company','UserController');
    Route::post('company/updatePssword','UserController@updatePssword');
    Route::get('edit/profile/{id}','UserController@editProfile');
    Route::put('company/update-profile/{company}','UserController@updateProfile');
   
    Route::get('/home', 'HomeController@index')->name('home'); 
    Route::get('/dashboard', 'HomeController@index');
    Route::post('remarks','Company\AuctionCompanyController@Remarks')->name('remarks');
});

Route::group([ 'middleware' => ['role:Super Admin']], function () { 
    Route::get('change/password','UserController@changePassword');
    Route::resource('role','RoleController');
    Route::resource('auction-item','AuctionItemController');
    Route::resource('e-auction','EAuctionController');
    Route::get('e-auction/{id}','EAuctionController@destroy');
    // Route::get('print/e-auction/{e_auction_id}','EAuctionController@print');

    Route::get('print/e-auction/{e_auction_id}','EAuctionController@print');
    Route::post('close/auction','EAuctionController@closeAuction');
    Route::post('open/auction/{status}/{tender_id}','EAuctionController@openAuction');

    // only user for developer
    Route::resource('permission','PermissionController');


});

Route::group([ 'middleware' => ['role:Company']], function () {
    Route::get('e-auction-list','Company\EAuctionController@index');
    Route::get('apply/e-auction/{id}','Company\EAuctionController@create');

    Route::post('apply/e-auction','Company\AuctionCompanyController@store');
    Route::get('company/e-auction/{id}','Company\AuctionCompanyController@show');
    Route::get('company/e-auction/edit/{id}','Company\AuctionCompanyController@edit');
    Route::put('update/e-auction-form','Company\AuctionCompanyController@update');
     
});
// Route::resource('auction-item','AuctionItemController')->only('store');

    Route::post('save-change-password','UserController@saveChangePassword'); 
Route::get('company/e-auction/print/{auction_company_id}/{print_type?}','Company\AuctionCompanyController@print')->name('e-auction-print');
 
  

